#ifndef BLUETOOTH_QUEUE_H
#define BLUETOOTH_QUEUE_H


typedef struct{
    unsigned char   DATA[65536];
    unsigned short   in_index;
    unsigned short   out_index;
}BulueQueueSTRUCT;

void BulueQueue_in_data(BulueQueueSTRUCT *in,unsigned char data);

unsigned char BulueQueue_out_data(BulueQueueSTRUCT *in);

bool BulueQueueIsBusy(BulueQueueSTRUCT *in);

bool BulueQueueIsEmty(BulueQueueSTRUCT *in);

void BulueQueueClear(BulueQueueSTRUCT *in);

extern BulueQueueSTRUCT BLQ;

#endif // BLUETOOTH_QUEUE_H
